Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Tools/Xabsl2/yabsl/vsyabsl/text.cpp File Reference

`#include "common.h"`
`#include <windows.h>`
`#include "text.h"`

Include dependency graph for text.cpp:

Go to the source code of this file.

## Functions
UniStr | uniCopy (UniStr dest, CUniStr src, int maxLen)
AnsiStr | ansiCopy (AnsiStr dest, CAnsiStr src, int maxLen)
UniStr | uniCat (UniStr dest, CUniStr src, int maxLen)
AnsiStr | ansiCat (AnsiStr dest, CAnsiStr src, int maxLen)
int | ansiToUniLen (CAnsiStr s)
int | uniToAnsiLen (CUniStr s)
UniStr | ansiToUniCopy (UniStr dest, CAnsiStr src, int maxLen)
AnsiStr | uniToAnsiCopy (AnsiStr dest, CUniStr src, int maxLen)
UniStr | ansiToUniCat (UniStr dest, CAnsiStr src, int maxLen)
AnsiStr | uniToAnsiCat (AnsiStr dest, CUniStr src, int maxLen)
UniStr | ansiToUniDup (CAnsiStr s)
AnsiStr | uniToAnsiDup (CUniStr s)
void | bstrFree (BSTR &bstr)
BSTR | bstrCopy (BSTR &bstr, COleStr src, int maxLen)
BSTR | bstrCat (BSTR &bstr, COleStr ostr, int maxLen)

## Function Documentation

UniStr uniCopy | ( | UniStr | dest,
|  | CUniStr | src,
|  | int | maxLen
| ) |

| Definition at line 15 of file text.cpp. References CUniStr, UNI, uniLen(), and UniStr.

Here is the call graph for this function:

AnsiStr ansiCopy | ( | AnsiStr | dest,
|  | CAnsiStr | src,
|  | int | maxLen
| ) |

| Definition at line 27 of file text.cpp. References ansiLen(), AnsiStr, and CAnsiStr.

Here is the call graph for this function:

UniStr uniCat | ( | UniStr | dest,
|  | CUniStr | src,
|  | int | maxLen
| ) |

| Definition at line 39 of file text.cpp. References CUniStr, UNI, uniLen(), and UniStr.

Here is the call graph for this function:

AnsiStr ansiCat | ( | AnsiStr | dest,
|  | CAnsiStr | src,
|  | int | maxLen
| ) |

| Definition at line 53 of file text.cpp. References ansiLen(), AnsiStr, and CAnsiStr.

Here is the call graph for this function:

int ansiToUniLen | ( | CAnsiStr | s | ) |

| Definition at line 68 of file text.cpp. References CAnsiStr. Referenced by ansiToUniDup().

int uniToAnsiLen | ( | CUniStr | s | ) |

| Definition at line 75 of file text.cpp. References CUniStr. Referenced by uniToAnsiDup().

UniStr ansiToUniCopy | ( | UniStr | dest,
|  | CAnsiStr | src,
|  | int | maxLen
| ) |

| Definition at line 82 of file text.cpp. References CAnsiStr, UNI, and UniStr. Referenced by ansiToUniCat(), and ansiToUniDup().

AnsiStr uniToAnsiCopy | ( | AnsiStr | dest,
|  | CUniStr | src,
|  | int | maxLen
| ) |

| Definition at line 93 of file text.cpp. References AnsiStr, and CUniStr. Referenced by uniToAnsiCat(), and uniToAnsiDup().

UniStr ansiToUniCat | ( | UniStr | dest,
|  | CAnsiStr | src,
|  | int | maxLen
| ) |

| Definition at line 104 of file text.cpp. References ansiToUniCopy(), CAnsiStr, uniLen(), and UniStr.

Here is the call graph for this function:

AnsiStr uniToAnsiCat | ( | AnsiStr | dest,
|  | CUniStr | src,
|  | int | maxLen
| ) |

| Definition at line 114 of file text.cpp. References ansiLen(), AnsiStr, CUniStr, and uniToAnsiCopy().

Here is the call graph for this function:

UniStr ansiToUniDup | ( | CAnsiStr | s | ) |

| Definition at line 125 of file text.cpp. References ansiToUniCopy(), ansiToUniLen(), CAnsiStr, UniChar, and UniStr.

Here is the call graph for this function:

AnsiStr uniToAnsiDup | ( | CUniStr | s | ) |

| Definition at line 135 of file text.cpp. References AnsiChar, AnsiStr, CUniStr, uniToAnsiCopy(), and uniToAnsiLen().

Here is the call graph for this function:

void bstrFree | ( | BSTR & | bstr | ) |

| Definition at line 147 of file text.cpp. Referenced by StdService::addScope(), StdService::addScopeText(), bstrCat(), and StdService::GetColorInfo().

BSTR bstrCopy | ( | BSTR & | bstr,
|  | COleStr | src,
|  | int | maxLen
| ) |

| Definition at line 153 of file text.cpp. References COleStr, and oleLen.

BSTR bstrCat | ( | BSTR & | bstr,
|  | COleStr | ostr,
|  | int | maxLen
| ) |

| Definition at line 162 of file text.cpp. References bstrFree(), bstrLen(), COleStr, oleCat, oleCopy, and oleLen.

Here is the call graph for this function: